Subject: [Anima] Sheng: Pls. request AD approval for IANA early allocation of code points for draft-ietf-anima-autonomic-control-plane

From: Toerless Eckert <[email-masked]>
Date: Mon, 6 Jul 2020 18:13:52 +0200

Dear Sheng,

I have tried to whip up below the necessary information for the WG chair to AD approval request
according to RFC7120. As the non-author co-chair, please check if you approve and proceed accordingly.

Thanks
   Toerless (for the authors of draft-ietf-anima-autonomic-control-plane)

---

From: [email-masked]
To: [email-masked], [email-masked]
Cc: [email-masked]
Subject: OPS-ADs: request for IANA early allocation of codepoints for draft-ietf-anima-autonomic-control-plane

Dear Rob, Warren

For the ANIMA chairs, i hereby request your approval according to RFC7120, section 3.1, point 4,
for IANA early allocation of the below described 2 code points to be assigned to
draft-ietf-anima-autonomic-control-plane.

According to RFC7120, section 3.1, point 2, the conditions for early allocation are met.

Code point (1)
 Registry: https://www.iana.org/assignments/smi-numbers/smi-numbers.xhtml#smi-numbers-1.3.6.1.5.5.7.0
 Requested Description: id-mod-anima-acpnodename-2020
 RFC7120, section 2 conditions for early allocation:
  (a) "Specification Required", will be published as RFC
      Expert: Russ Housley
  (b) specification adequately described in 
      draft-ietf-anima-autonomic-control-plane-27, section 6.1.2/6.1.2.1
  (c) Specification is stable:
      No backward compatibility issue introduced by this code-point.
  (d) Request by implementors for interop testing and question to WG
      has determined that there is sufficient interest in the community
      for early allocation.
 No depletion issue in this registry

Code point (2)
 Registry: https://www.iana.org/assignments/smi-numbers/smi-numbers.xhtml#smi-numbers-1.3.6.1.5.5.7.8
 Description: id-mod-anima-acpnodename-2020
 Requested Description: id-on-AcpNodeName
  (a) "Specification Required", will be published as RFC
      Expert: Russ Housley
  (b) specification adequately described in 
      draft-ietf-anima-autonomic-control-plane-27, section 6.1.2/6.1.2.1
  (c) Specification is stable: N/A:
      N/A: No prior approved spec for this functionality.
      Prior draft proposed code point (rfc822Name):
      - Not used in production deployments:
      - Rejected by IESG for > 1 year,
      - Backward compatibility undesirable by IESG, WG and draft authors (undesirable complexity).
  (d) Request by implementors for interop testing and question to WG
      has determined that there is sufficient interest in the community
      for early allocation.
 No depletion issue in this registry

For the ANIMA chairs
    Sheng Jiang

---

From: Sheng Jiang <[email-masked]>
Date: Tue, 7 Jul 2020 04:14:36 +0000

Hi, Toerless, Rob and Warren,

I conform ANIMA WG would like to ask the IANA early allocation for draft-ietf-anima-autonomic-control-plane. Please help for the follow-up procedure.

Thanks and best regards,

Sheng (as document shepherd with ANIMA chair hat) 

> -----Original Message-----
> From: Toerless Eckert [mailto:[email-masked]]
> Sent: Tuesday, July 7, 2020 12:14 AM
> To: Sheng Jiang <[email-masked]>
> Cc: [email-masked]; [email-masked]; [email-masked]
> Subject: Sheng: Pls. request AD approval for IANA early allocation of code
> points for draft-ietf-anima-autonomic-control-plane
> 
> Dear Sheng,
> 
> I have tried to whip up below the necessary information for the WG chair to
> AD approval request according to RFC7120. As the non-author co-chair,
> please check if you approve and proceed accordingly.
> 
> Thanks
> For the ANIMA chairs, i hereby request your approval according to RFC7120,
> section 3.1, point 4, for IANA early allocation of the below described 2 code
> points to be assigned to draft-ietf-anima-autonomic-control-plane.
> 
>  Registry: https://www.iana.org/assignments/smi-numbers/smi-
> numbers.xhtml#smi-numbers-1.3.6.1.5.5.7.0
>  Requested Description: id-mod-anima-acpnodename-2020  RFC7120, section
> 2 conditions for early allocation:
>  Registry: https://www.iana.org/assignments/smi-numbers/smi-
> numbers.xhtml#smi-numbers-1.3.6.1.5.5.7.8
>  Description: id-mod-anima-acpnodename-2020  Requested Description: id-
> on-AcpNodeName

---

From: "Rob Wilton (rwilton)" <[email-masked]>
Date: Tue, 7 Jul 2020 09:29:21 +0000

I approve this request for IANA early allocation.

Warren, am I right to assume that the next step is for Sheng or Toerless (as WG chairs) to make a request via https://www.iana.org/form/protocol-assignment?

Regards,
Rob

> From: Sheng Jiang <[email-masked]>
> Sent: 07 July 2020 05:15
> To: Toerless Eckert <[email-masked]>
> Cc: Rob Wilton (rwilton) <[email-masked]>; [email-masked];
> [email-masked]
> Subject: RE: Sheng: Pls. request AD approval for IANA early allocation of
> code points for draft-ietf-anima-autonomic-control-plane
> 
> I conform ANIMA WG would like to ask the IANA early allocation for draft-
> ietf-anima-autonomic-control-plane. Please help for the follow-up
> procedure.
> 
> Thanks and best regards,
> 
> > Subject: OPS-ADs: request for IANA early allocation of codepoints for
> draft-
> > ietf-anima-autonomic-control-plane
> >
> > Dear Rob, Warren
> >
> > According to RFC7120, section 3.1, point 2, the conditions for early
> allocation
> > are met.
> >
> > Code point (1)

---

From: Warren Kumari <[email-masked]>
Date: Tue, 7 Jul 2020 09:45:18 -0400

> Warren, am I right to assume that the next step is for Sheng or Toerless (as WG chairs) to make a request via https://www.iana.org/form/protocol-assignment?

Yup, that should work.

I've previously just emailed [email-masked], but the above link does
seem like a better option - you get tracking, it provides the
information in a more clear form, etc.

Toerless - you have previously done one of these (thread: "AD approval
request for early allocation for id-ct-animaCBORVoucher") - I'd
suggest just repeating whatever you did then, as it seemed to work :-)

Thanks,
W

-- 
I don't think the execution is relevant when it was obviously a bad
idea in the first place.
This is like putting rabid weasels in your pants, and later expressing
regret at having chosen those particular rabid weasels and that pair
of pants.
   ---maf